import type { DynamicQueryStructure } from "@/types/dynamicQueries";

export interface TableMeta {
  tableName: string;
  columns: Array<{ column: string; type: string }>;
  relations: Array<{ column: string; relationType: string; referencedTableName: string }>;
}

export interface QueryViewModel {
  id: number;
  title: string;
  query: string | DynamicQueryStructure;
}

export interface CreateQueryViewModel {
  title: string;
  query: string | DynamicQueryStructure;
}

export interface UpdateQueryViewModel {
  id: number;
  query: string | DynamicQueryStructure;
}
